%define name miniChinput
%define ver 0.0.3
%define rel 20

Name: %{name}
Version: %{ver}
Release: %{rel}

Summary: A Chinese XIM server.
Copyright: GPL
Group: User Interface/X
Source: ftp://www.yichang.net.cn/pub/chinese/%{name}-0.0.3-1.tar.bz2
URL: http://www.yichang.net.cn/~yang
BuildRequires: XFree86
Buildroot: /var/tmp/%{name}-%{version}-root
ExcludeArch: alpha ia64
Patch1:miniChinput-0.0.3-gcc.patch
Patch2:miniChinput-0.0.3-debug.patch
Patch3:miniChinput-0.0.3-iconv.patch
Patch4:miniChinput-0.0.3-locale.patch
Patch5:miniChinput-0.0.3-zh_CN.patch
Patch6:miniChinput-0.0.3-gcc3.patch

%description
MiniChinput is a tiny version of Chinput, a GPLed Chinese XIM server.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
./configure --prefix=/usr
make
make data

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install
make prefix=$RPM_BUILD_ROOT/usr data-install

%clean

%files
%defattr(-, root, root)
/usr/bin/chinput
/usr/lib/Chinput/*

%changelog
* Tue  May 28 2002 Yu Shao <yshao@redhat.com>
- fix gcc3 compiling errors

* Fri  May 10 2002 Yu Shao <yshao@redhat.com>
- fix bugzilla #64688

* Wed  Apr 03 2002 Yu Shao <yshao@redhat.com>
- use zhongyi font in Chinput.ad

* Thu  Mar  14 2002 Yu Shao <yshao@redhat.com>
- recheck license

* Wed  Feb  20 2002 Yu Shao <yshao@redhat.com>
- update miniChinput-0.0.3-iconv.patch

* Thu  Feb  14 2002 Yu Shao <yshao@redhat.com>
- add locale patch to make it more locale robust

* Thu  Jan  31 2002 Yu Shao <yshao@redhat.com>
- add filter to filter unassigned unicode codepoints

* Fri  Jan  26 2002 Yu Shao <yshao@redhat.com>
- New gcc and ia64 patch

* Wed  Dec  5 2001 Yu Shao <yshao@redhat.com>
- Fix no big5 font problem

* Fri  Nov  9 2001 Yu Shao <yshao@redhat.com>
- Add gb18030 stuff and internal code input module

* Fri  Nov  9 2001 Yu Shao <yshao@redhat.com>
- Update to 0.0.3 

* Tue Jul 17 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.0.2 to fix tab2txt bugs.

* Sun Jul  8 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add ia64 fix

* Tue Jul  3 2001 Yukihiro Nakai <ynakai@redhat.com>
- Exclude ia64 and alpha

* Wed Jun 27 2001 Yukihiro Nakai <ynakai@redhat.com>
- Initial release.
